Read an understanding and its evidence

Requires a project bearer key, an active shared mind, and inspection enabled for the organization. Actor tokens do not enable private-mind inspection.

GET/v1/minds/{mind_id}/understandings/{understanding_id}

Authorization

bearerAuth
AuthorizationBearer <token>

A project-scoped API key. Store it only on a trusted backend.

In: header

Path Parameters

mind_id*string

A shared mind in the API key’s project.

understanding_id*string

Opaque, mind-scoped identity.

Match^[A-Za-z0-9_-]{22}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/minds/string/understandings/string"
{  "understanding": {    "id": "string",    "statement": "string",    "statementAvailable": true,    "influence": "strong",    "experiences": 0,    "topics": [      "string"    ],    "state": "active",    "firstFormedAt": "2019-08-24T14:15:22Z",    "lastRecalledAt": "2019-08-24T14:15:22Z",    "modelName": "string",    "trend": "string"  },  "evidence": [    {      "text": "string",      "occurredAt": "2019-08-24T14:15:22Z",      "bearing": "supports"    }  ]}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}
{  "type": "error",  "error": {    "type": "string",    "message": "string"  },  "request_id": "string"}